Page MenuHomePhabricator

Interface to add more data/text fields for Lucene search engine (eg uploaded file text and metadata)
Closed, ResolvedPublic

Description

For more advanced search features related to uploaded files (bug 21061) and other potential extensions and such, we need to have a clean interface to expose additional text and data fields to the Lucene search indexer.

This can be handled internally on the SearchEngine class and friends for the default MySQL search and friends since they're doing updates at save time within the search classes, but the Lucene system is indexing externally via dumps or OAI-PMH update pulls. We need to make sure we have a clean way to expose additional file text or metadata fields that we want indexed so we can roll these capabilities out to Wikimedia sites in the future.


Version: unspecified
Severity: enhancement
Whiteboard: cirrus-fixed

Details

Reference
bz21062

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 21 2014, 10:52 PM
bzimport set Reference to bz21062.
bzimport added a subscriber: Unknown Object (MLST).
brion created this task.Oct 8 2009, 5:56 PM

[Merging "MediaWiki extensions/Lucene Search" into "Wikimedia/lucene-search2", see bug 46542. You can filter bugmail for: search-component-merge-20130326 ]

demon added a comment.Oct 29 2013, 7:13 PM

I would still very much like to do this with CirrusSearch, repurposing to there.

demon added a comment.Jan 29 2014, 9:25 PM

We're already working on this for Cirrus. Marking cirrus-fixed.

demon added a comment.Feb 11 2014, 6:02 PM

We did this in Cirrus.

Restricted Application added projects: Discovery, Discovery-Search. · View Herald TranscriptAug 12 2016, 4:55 PM